Retrieve a card | Moov Documentation
Retrieve a card
Fetch a specific card associated with a Moov account.
Read our accept card payments guide to learn more.
To access this endpoint using an access token you'll need to specify the /accounts/{accountID}/cards.read scope.
GET
/accounts/{accountID}/cards/{cardID}
Ask
curl -X GET "https://api.moov.io/accounts/{accountID}/cards/{cardID}" \
-H "Authorization: Bearer {token}" \
-H "X-Moov-Version: v2026.04.00"
Ask
mc, _ := moov.NewClient()
var accountID string
mc.GetCard(ctx, accountID, card.CardID)
Ask
import { Moov } from "@moovio/sdk";
const moov = new Moov({
security: {
username: "",
password: "",
},
});
async function run() {
const result = await moov.cards.get({
accountID: "1f590cf9-4db9-4241-8818-30f9c26362e8",
cardID: "01234567-89ab-cdef-0123-456789abcdef",
});
console.log(result);
}
run();
Ask
declare(strict_types=1);
require 'vendor/autoload.php';
use Moov\MoovPhp;
use Moov\MoovPhp\Models\Components;
$sdk = MoovPhp\Moov::builder()
->setSecurity(
new Components\Security(
username: '',
password: '',
)
)
->build();
$response = $sdk->cards->get(
accountID: '1f590cf9-4db9-4241-8818-30f9c26362e8',
cardID: '01234567-89ab-cdef-0123-456789abcdef'
);
if ($response->card !== null) {
// handle response
}
Ask
package hello.world;
import io.moov.sdk.Moov;
import io.moov.sdk.models.components.Security;
import io.moov.sdk.models.operations.GetCardResponse;
import java.lang.Exception;
public class Application {
public static void main(String[] args) throws Exception {
Moov sdk = Moov.builder()
.security(Security.builder()
.username("")
.password("")
.build())
.build();
GetCardResponse res = sdk.cards().get()
.accountID("1f590cf9-4db9-4241-8818-30f9c26362e8")
.cardID("01234567-89ab-cdef-0123-456789abcdef")
.call();
if (res.card().isPresent()) {
System.out.println(res.card().get());
}
}
}
Ask
from moovio_sdk import Moov
from moovio_sdk.models import components
with Moov(
security=components.Security(
username="",
password="",
),
) as moov:
res = moov.cards.get(account_id="1f590cf9-4db9-4241-8818-30f9c26362e8", card_id="01234567-89ab-cdef-0123-456789abcdef")
# Handle response
print(res)
Ask
require 'moov_ruby'
Models = ::Moov::Models
s = ::Moov::Client.new(
security: Models::Components::Security.new(
username: '',
password: ''
)
)
res = s.cards.get(account_id: '1f590cf9-4db9-4241-8818-30f9c26362e8', card_id: '01234567-89ab-cdef-0123-456789abcdef')
unless res.card.nil?
# handle response
end
Ask
using Moov.Sdk;
using Moov.Sdk.Models.Components;
var sdk = new MoovClient(security: new Security() {
Username = "",
Password = "",
});
var res = await sdk.Cards.GetAsync(
accountID: "1f590cf9-4db9-4241-8818-30f9c26362e8",
cardID: "01234567-89ab-cdef-0123-456789abcdef"
);
// handle response
The request completed successfully.
Ask
Example
{
"billingAddress": {
"addressLine1": "123 Main Street",
"addressLine2": "Apt 302",
"city": "Boulder",
"country": "US",
"postalCode": "80301",
"stateOrProvince": "CO"
},
"bin": "411111",
"brand": "Visa",
"cardAccountUpdater": {
"updateType": "number-update",
"updatedOn": "2024-05-06T12:20:38.184Z"
},
"cardCategory": "CLASSIC",
"cardID": "01234567-89ab-cdef-0123-456789abcdef",
"cardOnFile": true,
"cardType": "credit",
"cardVerification": {
"accountName": {
"firstName": "match",
"fullName": "match",
"lastName": "match",
"middleName": "match"
},
"addressLine1": "match",
"cvv": "match",
"postalCode": "match"
},
"commercial": false,
"domesticPullFromCard": "supported",
"domesticPushToCard": "standard",
"expiration": {
"month": "01",
"year": "21"
},
"fingerprint": "9948962d92a1ce40c9f918cd9ece3a22bde62fb325a2f1fe2e833969de672ba3",
"holderName": "Jules Jackson",
"issuer": "GRINGOTTS BANK",
"issuerCountry": "US",
"issuerPhone": "8185551212",
"issuerURL": "HTTPS://WWW.EXAMPLE.COM/",
"lastFourCardNumber": "1111",
"merchantAccountID": "01234567-89ab-cdef-0123-456789abcdef",
"regulated": false
}
Response headers
A unique identifier used to trace requests.
The request contained missing or expired authentication.
Response headers
A unique identifier used to trace requests.
The user is not authorized to make the request.
Response headers
A unique identifier used to trace requests.
The requested resource was not found.
Response headers
A unique identifier used to trace requests.
Request was refused due to rate limiting.
Response headers
A unique identifier used to trace requests.
The request failed due to an unexpected error.
Response headers
A unique identifier used to trace requests.
The request failed because a downstream service failed to respond.
Response headers
A unique identifier used to trace requests.
Set this header to v2026.04.00 to use the API described in this specification. When omitted, the server defaults to v2024.01.00, which may not match the behavior documented here.
Possible values:
v2026.04.00
Describes a card on a Moov account.
The billing address associated with the card.
Show child attributes
Street address line 1.
Street address line 2 (e.g., apartment or suite number).
City name.
Two-letter ISO 3166-1 country code.
Postal or ZIP code.
Two-letter state or province code.
The first six to eight digits of the card number, which identifies the financial institution that issued the card.
The card brand.
Possible values:
American Express, Discover, Mastercard, Visa, Unknown
ID of the card.
The type of the card.
Possible values:
debit, credit, prepaid, unknown
The results of submitting cardholder data to a card network for verification.
Show child attributes
Verification result of the billing address line 1.
Derived from the same AVS code as postalCode; the card network returns a single code covering both address fields.
The result of a card verification check.
Possible values:
noMatch, match, notChecked, unavailable, partialMatch
Verification result of the card's CVV.
The result of a card verification check.
Possible values:
noMatch, match, notChecked, unavailable, partialMatch
Verification result of the billing address postal code.
Derived from the same AVS code as addressLine1; the card network returns a single code covering both address fields.
The result of a card verification check.
Possible values:
noMatch, match, notChecked, unavailable, partialMatch
Verification results of the cardholder's name, broken down by name component.
The results of submitting cardholder name to a card network for verification.
Show child attributes
Verification result of the cardholder's first name.
The result of a card verification check.
Possible values:
noMatch, match, notChecked, unavailable, partialMatch
Verification result of the cardholder's full name.
The result of a card verification check.
Possible values:
noMatch, match, notChecked, unavailable, partialMatch
Verification result of the cardholder's last name.
The result of a card verification check.
Possible values:
noMatch, match, notChecked, unavailable, partialMatch
Verification result of the cardholder's middle name.
The result of a card verification check.
Possible values:
noMatch, match, notChecked, unavailable, partialMatch
The expiration date of the card or token.
Show child attributes
Two-digit month the card expires.
Two-digit year the card expires.
Uniquely identifies a linked payment card or token. For Apple Pay, the fingerprint is based on the tokenized card number and may vary based on the user's device. This field can be used to identify specific payment methods across multiple accounts on your platform.
Last four digits of the card number.
The results of the most recent card update request.
Show child attributes
The results of the card update request.
Possible values:
unspecified, account-closed, contact-cardholder, expiration-update, no-change, no-match, number-update
Timestamp from the card network indicating when the card update was processed.
The category or level of the card defined by the issuer. Examples include, but not limited to, "REWARDS", "TRADITIONAL REWARDS", "CLASSIC", and "CORPORATE PURCHASING".
Indicates cardholder has authorized card to be stored for future payments.
If true, the card is for commercial use, or associated with a business. If false, the card is associated with a general consumer.
Indicates if the card supports domestic pull-from-card transfer.
Possible values:
not-supported, supported, unknown
Indicates which level of domestic push-to-card transfer is supported by the card, if any.
Possible values:
not-supported, standard, fast-funds, unknown
The name of the cardholder as it appears on the card.
Financial institution that issued the card.
Country where the card was issued.
Phone number of the issuer.
URL of the issuer.
Merchant account whose details (statement descriptor, address, etc.) are used for the card verification authorization. If omitted, the partner account's details are used instead.
Includes any payment methods created as a result of linking a card with the x-wait-for header set to payment-method.
Only returned by the link card endpoint; not included when getting or listing cards.
Show child attributes
ID of the payment method.
The payment method type that represents a payment rail and directionality. Possible values:
moov-wallet, ach-debit-fund, ach-debit-collect, ach-credit-standard, ach-credit-same-day, rtp-credit, card-payment, push-to-card, pull-from-card, apple-pay, card-present-payment, instant-bank-credit, push-to-apple-pay, pull-from-apple-pay, google-pay, push-to-google-pay, pull-from-google-pay
If true, the card issuing bank is regulated, and the scheme fees for debit transactions will be limited based on the Durbin Amendment. If false, the card issuing bank is not regulated, and the scheme fees will not be limited.